net.metanotion.io.data

## Class IdentityBytes

- java.lang.Object
- - net.metanotion.io.data.IdentityBytes

All Implemented Interfaces:
  Serializer

    public class IdentityBytes
    extends Object
    implements Serializer

May be used to scan and repair the database nondestructively. Will never return null. Added by I2P.

### Constructor Summary

Constructors
Constructor and Description
`IdentityBytes()`

### Method Summary

Methods
`Object` `construct(byte[] b)`
`byte[]` `getBytes(Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdentityBytes

    public IdentityBytes()

### Method Detail

#### getBytes

    public byte[] getBytes(Object o)

Specified by:
  `getBytes` in interface `Serializer`
Returns:
  byte[]

#### construct

    public Object construct(byte[] b)

Specified by:
  `construct` in interface `Serializer`
Returns:
  b